Jump to content

Upgrade from CubeCart 4.3.3 to 5


PAC
 Share

Recommended Posts

Hello,

 

My company has been using CubeCart 4.3.3 for a while now with now problems. Just recently, USPS updated their APIs for the shipping module and I have been having a heck of a time trying to get that to function correctly. I have followed some of the threads posted here on updating the APIs, and I'm sure I can figure it out if I work with it, but in all honesty, we should probably just go ahead and make the upgrade to CubeCart 5. There are a few reasons why we haven't made the switch yet, and most of it is due to the fact that I would have to put other projects on hold to do it myself. I am thinking about paying the upgrade fee and then paying the fee to have a developer do the upgrade for me, but I have a few questions I would like to know.

 

  • I read that some third party modules might not work correctly after an upgrade. We really have only one third party module, which is a coupon code module that we purchased from Estelle's Mod Store. We have a lot of coupon codes and it would be a pain to have to go add the mod coding back to the source code and reenter every coupon code that we have. This is really my main concern because I do not have time to do this and I would rather just keep version 4 than have to put my current projects on hold. Does anybody know if this would carry over into the upgrade and function properly?

 

  • As I stated above, I was having difficulty getting the new USPS shipping API to work correctly with version 4. If I upgrade to version 5 and pay to have a developer do the upgrade for me, will this fee include getting the new USPS shipping API to work correctly? If not, is there an extra fee I can pay to have this done?

 

Thanks in advance for your help!

Link to comment
Share on other sites

I have assisted several CC4 users with updating the USPS module. I'll send you a PM.

 

"some third party modules might not work correctly after an upgrade."

 

The programming is incompatible. There is no 'might' about it. I do not know if CC5's coupon system could absorb the data that describes existing coupons.

 

I was having difficulty getting the new USPS shipping API to work correctly with version 4.

 

CC5214 has an updated USPS module.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...